{% extends "base.html" %}
{% block content %}
<!DOCTYPE html>
<html lang="en">

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link href="https://fonts.googleapis.com/css?family=Roboto:400,700" rel="stylesheet">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap-theme.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script> 
        <link rel = "stylesheet" href = "{{ url_for('static', filename = 'admin.css') }}">
    </head>
    <body>
    <div class="admin-form">
        <form action="" method="post" enctype="multipart/form-data">
            {{ form.hidden_tag() }}
    		<h2>Add Song</h2> <p>
            <div class="form-group">
                {{ form.year(size=32, class="form-control", placeholder="Year") }}
                {% for error in form.year.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
            <div class="form-group">
                {{ form.language(size=32, class="form-control", placeholder="Language") }}
                {% for error in form.language.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
            <div class="form-group">
                {{ form.artist(size=32, class="form-control", placeholder="Artist Name") }}
                {% for error in form.artist.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
            <div class="form-group">
                {{ form.genre(size=32, class="form-control", placeholder="Genre") }}
                {% for error in form.genre.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
            <div class="form-group">
                {{ form.about(size=32, class="form-control", placeholder="Artist Bio") }}
                {% for error in form.about.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
                </div>
            <div class="form-group">
                <label style="font-size: 16px; color:grey; font-weight: normal;">Song Name</label>
                {{ form.file() }}
                {% for error in form.file.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
                </div>
            <div class="form-group">
                <label style="font-size: 16px; color:grey; font-weight: normal;">Song Cover</label>
                {{ form.imagefile(placeholder="Image") }}
                {% for error in form.imagefile.errors %}
                <span style="color: red;">[{{ error }}]</span>
                {% endfor %}
            </div>
            <div class="form-group">
                    <label style="font-size: 16px; color:grey; font-weight: normal;">Artist Cover</label>
                    {{ form.artist_image() }}
                    {% for error in form.artist_image.errors %}
                    <span style="color: red;">[{{ error }}]</span>
                    {% endfor %}
            </div>

    		<div class="form-group">
                {{ form.submit(class="btn btn-danger btn-lg btn-block") }}
            </div>
        </form>
    </div>
    </body>
    {% endblock %}
    </html>
